#
# spec file for package yast2-autofs (Version 2.15.5)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           yast2-autofs
Version:        2.15.5
Release:        2.1.1
License:        GPL v2 or later
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-autofs-2.15.5.tar.bz2
Prefix:         /usr
Requires:       yast2
BuildRequires:  perl-XML-Writer update-desktop-files yast2 yast2-devtools yast2-testsuite
BuildArch:      noarch
Summary:        YaST2 - Module to Create and Manage autofs Entries in LDAP

%description
This makes possible to create and manage autofs entries in an LDAP
server. The autofs entries will be created according the nis.schema
using the objectclasses nisMap and nisObject. The entries are placed
under ou=AUTOFS,$LDAPBASE.



%prep
%setup -n yast2-autofs-2.15.5

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/autofs
/usr/share/YaST2/include/autofs/*
/usr/share/YaST2/clients/autofs.ycp
#/usr/share/YaST2/clients/autofs_*.ycp
/usr/share/YaST2/modules/Autofs*
%{prefix}/share/applications/YaST2/autofs.desktop
%doc %{prefix}/share/doc/packages/yast2-autofs

%changelog
* Wed Jan 21 2009 varkoly@suse.de
- bnc#465080 - autofs Yast module not storing the information properly on LDAP server
* Fri May 16 2008 jsrain@suse.cz
- added categories Settings and System into desktop file
  (bnc #382778)
* Fri Apr 18 2008 jsrain@suse.cz
- merged texts from proofread
- 2.15.4
* Mon Mar 17 2008 jsrain@suse.cz
- added 'StartupNotify=true' to the desktop file (bnc #304964)
* Sun Dec 30 2007 pv@suse.de
-#336276 - Attempt to configure autofs via YaST2 results in a Perl error message
-fixing some typos
- 2.15.3
* Fri May 11 2007 varkoly@suse.de
- #273198 - yast2 - autofs - typo
* Tue Jan 23 2007 varkoly@suse.de
- #242539: bad widget id in QueryWidget
* Fri Jan 19 2007 varkoly@suse.de
- Enhancing the help textes
- Fixing bug for handling the return values of the funktions
* Mon Dec 18 2006 varkoly@novell.com
- initial version (Fate#6253)
